During my Python GPS experiments when I ported Matthew Brown's gamelan pygame python program to the N900's python aka pyamaemo,  found out the following which I am documenting so I won't forget:

  1. current version of PyMaemo is python 2.5.4
  2. python 2.5.4 uses the Numeric floating package (bug 1038, although I think installing NumPy manually instead of waiting for python 2.6 from PyMaemo is the road to yak-shaving madness :-) ! )instead of python 2.6's NumPy
  3. Numeric and NumPy are mostly compatible; there are very subtle differences which are easy to fix; so easy to fix that even I who know almost nothing about Python was able to fix it!